#include <bits/stdc++.h>
using namespace std;


int main()
{
    int n, l;
    cin>>n>>l;
    int i=0;
    int niz[n];
    for(int i;i<n;i++){
        cin>>niz[i];
    }
    while(niz[i]>l){
         i++;
    }
    if(i>=n)
    cout<<-1;
    else cout<<1+i;

    return 0;
}